org.gjt.sp.jedit.indent

## Class IndentAction.Increase

- java.lang.Object
- - org.gjt.sp.jedit.indent.IndentAction.Increase

- All Implemented Interfaces:
    IndentAction
  Enclosing interface:
    IndentAction

      public static class IndentAction.Increase
      extends java.lang.Object
      implements IndentAction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gjt.sp.jedit.indent.IndentAction

      `IndentAction.AlignOffset, IndentAction.AlignParameter, IndentAction.Collapse, IndentAction.Decrease, IndentAction.Increase, IndentAction.NoIncrease, IndentAction.Reset`

  - ### Field Summary

    - ### Fields inherited from interface org.gjt.sp.jedit.indent.IndentAction

      `PrevCollapse, PrevPrevCollapse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndentAction.Increase()`
    `IndentAction.Increase(int amount)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `calculateIndent(JEditBuffer buffer, int line, int oldIndent, int newIndent)`
    `boolean` | `equals(java.lang.Object o)`
    `boolean` | `keepChecking()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndentAction.Increase

          public IndentAction.Increase()

    - #### IndentAction.Increase

          public IndentAction.Increase(int amount)

  - ### Method Detail

    - #### calculateIndent

          public int calculateIndent(JEditBuffer buffer,
                            int line,
                            int oldIndent,
                            int newIndent)

      Specified by:
        `calculateIndent` in interface `IndentAction`
      Parameters:
        `buffer` - The buffer
        `line` - The line number that matched the rule; not necessarily the line being indented.
        `oldIndent` - Original indent.
        `newIndent` - The new indent -- ie, indent returned by previous indent action.

    - #### keepChecking

          public boolean keepChecking()

      Specified by:
        `keepChecking` in interface `IndentAction`
      Returns:
        true if the indent engine should keep processing after this rule.

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`